@echo off
cls
echo DTLoggedExec database update batch

rem ***** SET YOUR CORRECT VALUES HERE *****

set SQLServer=localhost
set DatabaseName=DTLoggedExecDB

rem ***** ---------------------------- *****

if "%SQLServer%" EQU "" goto varnotdef 
if "%DatabaseName%" EQU "" goto varnotdef 

echo Running T-SQL Script...
sqlcmd -S %SQLServer% -b -i version-18-to-19.sql -v DatabaseName="%DatabaseName%" 
if %ERRORLEVEL% NEQ 0 goto errors

goto noerrors

:varnotdef
echo Values for all required variables must be supplied.
goto end

:noerrors
echo Operation completed successfully
goto end

:errors
echo Errors found during script execution. Batch halted.
goto end

:end
pause